---
title: MediaTrackSupportedConstraints.frameRate
slug: Web/API/MediaTrackSupportedConstraints/frameRate
tags:
  - API
  - Constraints
  - Media
  - Media Capture and Streams API
  - Media Streams API
  - MediaTrackSupportedConstraints
  - Property
  - Reference
  - Web
  - WebRTC
  - frameRate
---
<div>{{APIRef("Media Capture and Streams")}}</div>

<p><span class="seoSummary">The {{domxref("MediaTrackSupportedConstraints")}} dictionary's <strong><code>frameRate</code></strong> property is a read-only Boolean value which is present (and set to <code>true</code>) in the object returned by {{domxref("MediaDevices.getSupportedConstraints()")}} if and only if the {{Glossary("user agent")}} supports the {{domxref("MediaTrackConstraints.frameRate", "frameRate")}} constraint.</span> If the constraint isn't supported, it's not included in the list, so this value will never be <code>false</code>.</p>

<p>The <code>frameRate</code> constraint can be used to establish acceptable upper and lower bounds on the video frame rate for a new video track, or to specify an exact frame rate that must be provided for the request to succeed. Checking the value of this property lets you determine if the user agent allows constraining the video track configuration by frame rate. See the {{anch("Example", "example")}} to see how this can be used.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>frameRateConstraintSupported</em> = <em>supportedConstraintsDictionary</em>.frameRate;</pre>

<h3 id="Value">Value</h3>

<p>This property is present in the dictionary if the user agent supports the <code>frameRate</code> constraint. If the property isn't present, the user agent doesn't allow specifying limits on the frame rate for video tracks.</p>

<div class="note">
<p>If this property is present, its value is always <code>true</code>.</p>
</div>

<h2 id="Example">Example</h2>

<p>This simple example looks to see if your browser supports constraining the frame rate when requesting video tracks.</p>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">let result = document.getElementById("result");

if (navigator.mediaDevices.getSupportedConstraints().frameRate) {
    result.textContent = "Supported!";
} else {
    result.textContent = "Not supported!";
}</pre>

<details><summary>
<h3 id="HTML">HTML</h3>
</summary>

<pre class="brush: html notranslate">&lt;div id="result"&gt;
&lt;/div&gt;</pre>
</details>

<details><summary>
<h3 id="CSS">CSS</h3>
</summary>

<pre class="brush: css notranslate">#result {
  font: 14px "Arial", sans-serif;
}</pre>
</details>

<h3 id="Result">Result</h3>

<p>The output, showing if your browser supports the <code>frameRate</code> constraint, is:</p>

<p>{{ EmbedLiveSample('Example', 600, 80) }}</p>

<p>While this example is trivial, you can replace the simple output of "Supported" vs. "Not supported" with code to provide alternative methods for presenting the audiovisual information you want to share with the user or otherwise work with.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Media Capture', '#dom-mediatracksupportedconstraints-framerate', 'frameRate') }}</td>
   <td>{{ Spec2('Media Capture') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaTrackSupportedConstraints.frameRate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Media_Streams_API">Media Capture and Streams API</a></li>
 <li>{{domxref("MediaDevices.getSupportedConstraints()")}}</li>
 <li>{{domxref("MediaTrackSupportedConstraints")}}</li>
 <li>{{domxref("MediaStreamTrack")}}</li>
</ul>
